import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/company/pageList", formData);
}

function detail(id) {
  return request.get(constant.serverUrl + "/company/detail?companyId=" + id);
}

function companyUserDetail(formData) {
  return request.post(constant.serverUrl + "/company/companyUserDetail", formData);
}

function promoterList(formData) {
  return request.post(constant.serverUrl + "/company/promoterList", formData);
}

//查详细 传ID
function queryPromoterList(formData) {
  return request.post(constant.serverUrl + "/company/queryPromoterList", formData);
}




export default {
  detail, pageList, companyUserDetail,promoterList,queryPromoterList
}