import Vue from 'vue'
import App from './App.vue'
import router from './routers'
import store from './store'
import './plugins/element.js'
import AxiosPlugin from './plugins/AxiosPlugin'
import './assets/iconfont/iconfont.css'

Vue.config.productionTip = false
Vue.use(AxiosPlugin)

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
